Search events
Search the events of a webhook with their delivery status, newest first.
For postpaid SIM service only
403 will be returned if your partner account does not have postpaid SIM service.
Use it to find events that FAILED and redeliver them.
Required Capabilities
Webhook Viewer
Request
Path parameters
ID of the webhook.
Query parameters
Page number of the search result. Minimum value allowed is 1.
A limit on the number of items returned. Allowed value can range between 1 and 100.
Filter results by delivery status.
PENDING— The event is waiting to be delivered, or to be retriedDELIVERED— The event is delivered, your endpoint responded with a 2xx statusFAILED— All 3 delivery attempts of the event failed
Filter results by the time the event is created, as start,end, both inclusive. Either end can be left empty, e.g. 2026-10-07T17:00:00Z, for every event created since then. Use UTC (Z); a + in an offset must be URL-encoded as %2B.
Response
A json is returned in the response body with the following fields:
Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.
Returns events found for the current page of search result, newest first.
Show child attributes
ID of the event. Same as eventId in the pushed request.
Type of the event.
POSTPAID_SIM_USAGE_UPDATED— The live usage of one or more postpaid SIMs in your partner account changes
Data of the event, as a JSON-encoded string. Decoded, it is the same as data in the pushed request.
Delivery status of the event.
PENDING— The event is waiting to be delivered, or to be retriedDELIVERED— The event is delivered, your endpoint responded with a 2xx statusFAILED— All 3 delivery attempts of the event failed
Delivery attempts of the event, oldest first. Empty if it is not attempted yet.
Show child attributes
Time of when the attempt is made.
HTTP status your endpoint responded with. null if there was no response.
Headers your endpoint responded with, one item per value.
Show child attributes
Name of the header.
Value of the header.
Body your endpoint responded with, cut to its first 4,096 characters. null if there was no response.
Why there was no response, e.g. a timeout. null if your endpoint responded.
Duration of the attempt, in milliseconds.
Time of when the event is created.
Time of the latest attempt or redelivery. null if not applicable.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/webhooks/{id}/events/search?pageNum=1&pageSize=10&status=FAILED&createdAtRange=2026-10-01T00:00:00Z,' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 1,
"items": [
{
"id": "66fd0c1e8a1b2c3d4e5f6a7b",
"eventType": "POSTPAID_SIM_USAGE_UPDATED",
"data": "{\"items\":[{\"iccid\":\"89000000000000000000\",\"year\":2026,\"month\":10,\"usageMb\":886.94,\"lastEventAt\":\"2026-10-02T01:18:41.000Z\"}]}",
"status": "DELIVERED",
"attempts": [
{
"attemptedAt": "2026-10-02T01:20:01.000Z",
"responseStatus": 200,
"responseHeaders": [{ "key": "content-type", "value": "application/json" }],
"responseBody": "{\"ok\":true}",
"error": null,
"durationMs": 184
}
],
"createdAt": "2026-10-02T01:20:00.000Z",
"updatedAt": "2026-10-02T01:20:01.000Z"
}
]
}